

/* GLOBAL */
.lux-wrapper {
    font-family: 'Poppins', sans-serif;
    background: #0b0b0b;
    color: #fff;
}

.lux-container {
    width: 100%;
    max-width: 1200px;
    margin: auto;
}

/* ================= HERO ================= */
.director-desk{padding: 15px 0px 6px;}
.lux-hero {
    /*background: radial-gradient(circle at top right, #d4af37 0%, #000 40%);*/
        background-image: url('https://rsholdingltd.com/banner/banner.jpeg');
    background-size: cover;
    height: 634px;
    background-position: top;
    background-repeat: no-repeat;
    padding: 136px 0 163px;
    position: relative;
}

.lux-hero::after {
    content: "";
    position: absolute;
    bottom: -50px;
    right: -50px;
    width: 400px;
    height: 400px;
    background: linear-gradient(45deg,#d4af37,#b8860b);
    opacity: 0.15;
    border-radius: 50%;
    filter: blur(100px);
}

.lux-hero .lux-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
}



.premium-gold-text {
    font-weight: 700;
    letter-spacing: 1px;
    background: linear-gradient(
        90deg,
        #7a5c00 0%,
        #d4af37 20%,
        #fff4b0 40%,
        #ffd700 50%,
        #fff4b0 60%,
        #d4af37 80%,
        #7a5c00 100%
    );
    background-size: 300% auto;
    color: transparent;
    -webkit-background-clip: text;
    background-clip: text;
    animation: goldShimmer 4s linear infinite;
    /*text-shadow: */
    /*    0 0 10px rgba(212,175,55,0.4),*/
    /*    0 0 20px rgba(212,175,55,0.3),*/
    /*    0 0 30px rgba(212,175,55,0.2);*/
}

/* Moving Shine Animation */
@keyframes goldShimmer {
    0% {
        background-position: 0% center;
    }
    100% {
        background-position: 300% center;
    }
}



.lux-hero-content h1 {
    font-size: 52px;
    font-weight: 700;
    line-height: 1.2;
}

.lux-hero-content h1 span {
        background: linear-gradient(90deg, #d2b145, #d9b763);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.lux-hero-content p {
        margin: 25px 0;
    color: #e1e1e2;
    font-size: 17px;
    letter-spacing: 0.6px;
    width: 623px;
    font-weight: 500;
    word-spacing: 1px;
}

.lux-btn-group {
    display: flex;
    gap: 15px;
}

.lux-gold-plate {
        border-radius: 10px!important;
    position: relative;
    display: inline-block;
    padding: 4px 31px 1px;
    font-size: 16px;
    font-weight: 600;
    letter-spacing: 1px;
    text-decoration: none;
    color: #3a2b00;
    border-radius: 40px;
    overflow: hidden;
    border: none;
    background: linear-gradient(
        145deg,
        #fff9d6 0%,
        #f4d675 15%,
        #d4af37 35%,
        #b8860b 55%,
        #d4af37 75%,
        #fff2b0 100%
    );
    box-shadow: inset 0 3px 6px rgba(255,255,255,0.8),
        inset 0 -4px 8px rgba(120,80,0,0.6),
        0 8px 20px rgba(0,0,0,0.4);
    transition: all 0.3s ease;
    line-height: 41px;
    height: 50px;
}

/* Inner Golden Border Line */
.lux-gold-plate::after {
    content: "";
    position: absolute;
    top: 4px;
    left: 4px;
    right: 4px;
    bottom: 4px;
    border-radius: 35px;
    /*border: 2px solid rgba(255,215,0,0.6);*/
    pointer-events: none;
}

/* Moving Shine Reflection */
.lux-gold-plate::before {
    content: "";
    position: absolute;
    top: 0;
    left: -120%;
    width: 50%;
    height: 100%;
    background: linear-gradient(
        120deg,
        transparent,
        rgba(255,255,255,0.9),
        transparent
    );
    transform: skewX(-25deg);
}

/* Shine animation */
.lux-gold-plate:hover::before {
    animation: plateShine 1s ease forwards;
}

@keyframes plateShine {
    100% { left: 200%; }
}

/* Press effect */
.lux-gold-plate:hover {
    transform: translateY(-3px);
    box-shadow:
        inset 0 3px 8px rgba(255,255,255,1),
        inset 0 -4px 10px rgba(120,80,0,0.8),
        0 12px 25px rgba(0,0,0,0.5);
}




/*.lux-btn-gold {*/
/*    background: linear-gradient(90deg,#d4af37,#b8860b);*/
/*    color: #000;*/
/*    padding: 14px 28px;*/
/*    border-radius: 6px;*/
/*    font-weight: 600;*/
/*    text-decoration: none;*/
/*    box-shadow: 0 5px 20px rgba(212,175,55,0.4);*/
/*}*/

.lux-btn-dark {
       border: 1px solid #d8b65c;
    color: #d3b146;
    padding: 5px 28px;
    border-radius: 6px;
    text-decoration: none;
    height: 50px;
    line-height: 40px;
}

.lux-hero-image img {
    max-width: 420px;
    width: 100%;
    border-radius: 10px;
}


/* ================= RESPONSIVE ================= */

@media (max-width: 992px) {
    .lux-hero .lux-container,
  

 
}

@media (max-width: 576px) {
    .lux-hero-content h1 {
        font-size: 32px;
    }


    .lux-btn-group {
        flex-direction: column;
    }
}

/* ===== Premium Section ===== */
.premium-services-section {
    background: #f4f1eb;
    padding: 80px 20px;
    font-family: 'Poppins', sans-serif;
}

.premium-container {
    max-width: 1272px;
    margin: auto;
}

/* ===== Heading ===== */
.premium-heading {
    text-align: center;
    margin-bottom: 50px;
}

.premium-heading h2 {
    font-size: 34px;
    font-weight: 700;
    letter-spacing: 2px;
    color: #1a1a1a;
}

.gold-line {
    width: 120px;
    height: 3px;
    margin: 15px auto;
    background: linear-gradient(90deg, #8b6f2f, #d4af37, #8b6f2f);
}

.premium-heading p {
        color: #666;
    font-size: 17px;
    LETTER-SPACING: 0.3PX;
}

/* ===== Cards Wrapper ===== */
.premium-card-wrapper {
    display: grid;
    grid-template-columns: repeat(5, 1fr);
    gap: 18px;
}

/* ===== Card ===== */
.premium-card {
    background: #000;
    padding: 20px 10px 15px;
    border-radius: 12px;
    text-align: center;
    transition: 0.4s ease;
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

.premium-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 15px 35px rgba(0,0,0,0.3);
}

/* ===== Icon ===== */
.premium-icon {
    font-size: 28px;
    margin-bottom: 20px;
    background: linear-gradient(145deg, #8b6f2f, #d4af37, #8b6f2f);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

/* ===== Card Text ===== */
.premium-card h4 {
        color: #e1e1e2;
    margin-bottom: 15px;
    font-size: 16px;
    LETTER-SPACING: 0.3PX;
}

.premium-card p {
        color: #ccc;
    font-size: 14px;
    margin-bottom: 25px;
    text-align: match-parent;
    letter-spacing: 0.3px;
}

/* ===== Gold Button ===== */
.premium-btn,
.premium-btn-main {
    display: inline-block;
    padding: 4px 16px;
    font-size: 13px;
    font-weight: 600;
    text-transform: uppercase;
    border-radius: 5px;
    text-decoration: none;
    transition: 0.4s ease;
    background: linear-gradient(145deg, #8b6f2f, #d4af37, #b8942f);
    color: #000;
    /*box-shadow: 0 4px 12px rgba(212,175,55,0.4);*/
}

.premium-btn:hover,
.premium-btn-main:hover {
    background: linear-gradient(145deg, #b8942f, #ffd700, #8b6f2f);
    box-shadow: 0 6px 18px rgba(212,175,55,0.6);
    transform: scale(1.05);
}

/* ===== View More Center ===== */
.premium-view-all {
    text-align: center;
    margin-top: 50px;
}

/* ===== Responsive ===== */
@media (max-width: 1024px) {
    .premium-card-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 600px) {
    .premium-card-wrapper {
        grid-template-columns: 1fr;
    }

    .premium-heading h2 {
        font-size: 24px;
    }
}

/* Section Background */
.lux-solution-section {
    background: linear-gradient(135deg, #0f0f0f, #1c1c1c);
    padding: 45px 20px 44px;
    color: #fff;
    font-family: 'Poppins', sans-serif;
}

/* Container */
.lux-container {
    max-width: 1200px;
    margin: auto;
    display: flex;
    gap: 60px;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

/* Left Side */
.lux-left {
    flex: 1 1 400px;
}

.lux-heading {
    font-size: 42px;
    font-weight: 700;
    line-height: 1.3;
    background: linear-gradient(90deg, #c6a75e, #f5e6b3, #a67c2d);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.lux-subtext {
    margin-top: 20px;
    color: #cfcfcf;
    font-size: 16px;
    line-height: 1.7;
}

/* Right Side Grid */
.lux-right {
    flex: 1 1 500px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 25px;
}

/* Cards */
.lux-card {
    background: #141414;
    padding:10px 25px;
    border-radius: 12px;
    display: flex;
    gap: 15px;
    align-items: flex-start;
    border: 1px solid rgba(198,167,94,0.3);
    transition: 0.4s ease;
}

.lux-card:hover {
    transform: translateY(-8px);
    box-shadow: 0 10px 25px rgba(198,167,94,0.25);
    border-color: #c6a75e;
}

/* Icons */
.lux-icon {
    width: 150px;
    height: 43px;
    background: linear-gradient(145deg, #c6a75e, #f5e6b3);
    border-radius: 10%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #000;
    font-size: 20px;
}

/* Content */
.lux-content h4 {
    margin: 0;
    font-size: 18px;
    color: #f5e6b3;
}

.lux-content p {
       margin-top: 8px;
    font-size: 14px;
    color: #b1aeae;
    line-height: 1.6;
    letter-spacing: 0.3px;
    word-spacing: 1px;
}

/* Responsive */
@media (max-width: 992px) {
    .lux-container {
        flex-direction: column;
        text-align: center;
    }
    .lux-right {
        grid-template-columns: 1fr;
    }
    .lux-card {
        justify-content: center;
        text-align: left;
    }
}



/* ===== Section ===== */
.lux-choose-section {
    background: #0c0c0c;
    padding: 50px 20px;
    color: #fff;
    font-family: 'Poppins', sans-serif;
}

.lux-choose-container {
    max-width: 1270px;
    margin: auto;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 50px;
    flex-wrap: wrap;
}

/* ===== Left Content ===== */
.lux-choose-content {
    flex: 1 1 550px;
}

.lux-choose-subtitle {
    color: #c9a227;
    font-weight: 600;
    letter-spacing: 2px;
    display: inline-block;
    margin-bottom: 15px;
}

.lux-choose-title {
    font-size: 36px;
    font-weight: 700;
    margin-bottom: 20px;
    background: linear-gradient(90deg, #c9a227, #f5e6b3, #b8860b);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.lux-choose-highlight {
      color: #f5f5f5;
    font-weight: 500;
    margin-bottom: 15px;
    FONT-SIZE: 16PX;
    LETTER-SPACING: 0.4PX;
}

.lux-choose-text {
    color: #ccc;
    line-height: 1.7;
    margin-bottom: 40px;
       
    font-weight: 500;
    
    FONT-SIZE: 16PX;
    LETTER-SPACING: 0.4PX;
}

/* ===== Progress Section ===== */
.lux-choose-progress-wrapper {
    display: flex;
    gap: 40px;
    flex-wrap: wrap;
}

.lux-choose-progress-item {
    display: flex;
    align-items: center;
    gap: 15px;
}

/* Circular Progress */
.lux-circle {
    width: 56px;
    height: 56px;
    border-radius: 10%;
    background: conic-gradient(#d4af37 0% 50%, #333 50% 100%);
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}

.lux-circle:nth-child(2) {
    background: conic-gradient(#d4af37 0% 75%, #333 75% 100%);
}

.lux-circle::before {
    content: "";
    position: absolute;
    width: 56px;
    height: 56px;
    background: #0c0c0c;
    border-radius: 50%;
}

.lux-circle span {
    position: relative;
    color: #d4af37;
    font-weight: bold;
}

/* ===== Right Image ===== */
.lux-choose-image {
    flex: 1 1 500px;
    position: relative;
}

.lux-choose-image img {
    width: 100%;
    border-radius: 6px;
}

/* Experience Box */
.lux-experience-box {
       position: absolute;
    bottom: 30px;
    left: -30px;
    background: linear-gradient(135deg, #b8860b, #d4af37);
    padding: 14px 20px;
    text-align: center;
    color: #000;
    font-weight: 700;
    border-radius: 6px;
}

.lux-experience-box h3 {
    font-size: 40px;
    margin: 0;
}

.lux-experience-box p {
    margin: 5px 0 0;
    font-size: 14px;
    letter-spacing: 1px;
}

/* ===== Responsive ===== */
@media (max-width: 992px) {
    .lux-choose-container {
        flex-direction: column;
    }

    .lux-experience-box {
        left: 20px;
        bottom: 20px;
    }
}

@media (max-width: 576px) {
    .lux-choose-title {
        font-size: 30px;
    }

    .lux-choose-progress-wrapper {
        flex-direction: column;
    }
}




/* Wrapper for 2 Column Layout */
.abg-product-wrapper{
    display:grid;
    grid-template-columns:repeat(1,1fr);
    gap:30px;
}

@media(max-width:992px){
    .abg-product-wrapper{
        grid-template-columns:1fr;
    }
}

/* Card */
.abg-product-card{
    background:#1e1e1e;
    color:#fff;
    padding:30px 25px;
    position:relative;
    overflow:hidden;
    margin-bottom:30px;
}

/* Top Section */
.abg-top{
    display:flex;
    justify-content:space-between;
    align-items:flex-start;
}

.abg-title{
    font-size:23.7px;
    font-weight:700;
    margin-bottom:10px;
}

.abg-subtitle{
    color:#c6a355;
    font-weight:600;
}

/* Right Badge */
.abg-right-badge{
    /*background:#b8934e;*/
    padding:20px 30px;
    font-size:28px;
    font-weight:bold;
    color:#000;
}

/* Image */
.abg-image-box{
    margin:25px 0;
}

.abg-image-box img{
    width:100%;
    display:block;
    object-fit:cover;
    height:300px;
}

/* Button */
.abg-btn{
    display:inline-block;
    background:#b8934e;
    color:#000;
    padding:12px 30px;
    border-radius:8px;
    font-weight:600;
    text-decoration:none;
    margin-bottom:25px;
    box-shadow:0 6px 15px rgba(0,0,0,0.4);
    transition:0.3s;
}

.abg-btn:hover{
    background:#d4af37;
}

/* Product Range */
.abg-range-title{
    font-size:20px;
    color:#c6a355;
    margin-bottom:15px;
    letter-spacing:2px;
}

.abg-range-list{
    display:flex;
    flex-wrap:wrap;
    gap:0px;
}

.abg-range-col{
    flex:1;
    min-width:150px;
}

.abg-range-col ul{
    list-style:none;
    padding:0;
    margin:0;
}

.abg-range-col li{
        margin-bottom: 8px;
    font-size: 15px;
    LETTER-SPACING: 0.4PX;
    COLOR: #bfb1b1;
}



.lux-marq-wrapper {
    background: #0f0f0f;
    overflow: hidden;
    padding: 18px 0;
    border-top: 1px solid rgba(212,175,55,0.3);
    border-bottom: 1px solid rgba(212,175,55,0.3);
}

.lux-marq-track {
    display: flex;
    width: fit-content;
    animation: luxScroll 25s linear infinite;
}

.lux-marq-item {
        font-size: 18px;
    font-weight: 300;
    color: #d4af37;
    padding: 0 25px;
    white-space: nowrap;
    letter-spacing: 1px;
    transition: 0.3s ease;
    /* background: #d4af37; */
    padding: 9px 16px;
    border: 1px solid #d4af37;
    border-style: dotted;
    border-radius: 6px;
}

.lux-marq-item:hover {
    color: #f5d76e;
    text-shadow: 0 0 8px rgba(212,175,55,0.6);
}

.lux-marq-dot {
    color: #b8934e;
    font-size: 20px;
    padding: 10px 10px;
}

@keyframes luxScroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-50%);
    }
}

/* Responsive */
@media(max-width: 768px) {
    .lux-marq-item {
        font-size: 16px;
        padding: 0 15px;
    }
}




/* ===== Countries Section ===== */

.rs-country-section {
    padding: 45px 5%;
    background: #000;
}

.rs-country-container {
    display: flex;
    align-items: center;
    gap: 50px;
    max-width: 1400px;
    margin: auto;
}

/* Left Side */
.rs-country-left {
    flex: 1;
}

.rs-country-title {
       font-size: 39px;
    font-weight: 400;
    color: #ffffff;
    margin-bottom: 20px;
    line-height: 38px;
}

.rs-country-title span {
    color: #c6a74a;
}

.rs-country-line {
    width: 80px;
    height: 3px;
    background: linear-gradient(to right, #c6a74a, #f1d37a);
    margin-bottom: 25px;
}

.rs-country-desc {
    color: #bfc8ce;
    line-height: 1.8;
    font-size: 16px;
}

/* Right Side Grid */
.rs-country-right {
    flex: 2;
    display: grid;
    grid-template-columns: repeat(8, 1fr);
    gap: 4px;
}

.rs-country-box {
    background: #ffffff;
    padding: 0px 3px;
    border-radius: 6px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: 0.3s ease;
}

.rs-country-box img {
    max-width: 100%;
    height: 70px;
    object-fit: contain;
    border-radius:6px;
}

.rs-country-box:hover {
    transform: translateY(-5px);
    box-shadow: 0 10px 25px rgba(0,0,0,0.2);
}

/* ===== Responsive ===== */

@media (max-width: 992px) {
    .rs-country-container {
        flex-direction: column;
        text-align: center;
    }

    .rs-country-right {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (max-width: 576px) {
    .rs-country-right {
        grid-template-columns: repeat(2, 1fr);
    }

    .rs-country-title {
        font-size: 30px;
    }
}



.whatsapp-float {
        position: fixed;
    bottom: 60px;
    left: 15px;
    width: 48px;
    height: 48px;
    background: #2db742;
    color: #fff;
    border-radius: 50%;
    font-size: 28px;
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    z-index: 9999999;
    box-shadow: 0 5px 20px rgba(0,0,0,0.3);
}

/* Mobile Specific Fix */
@media (max-width: 768px) {
    .whatsapp-float {
        position: fixed !important;
        bottom: 15px;
        right: 15px;
        z-index: 9999999 !important;
    }
}




